Xerces-C++: PSVIAttributeList Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# PSVIAttributeList Class Reference

Inheritance diagram for PSVIAttributeList:

List of all members.

## Public Member Functions
Constructors
| PSVIAttributeList (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| The default constructor.
Destructor
| ~PSVIAttributeList ()
PSVIAttributeList methods
XMLSize_t | getLength () const
PSVIAttribute * | getAttributePSVIAtIndex (const XMLSize_t index)
const XMLCh * | getAttributeNameAtIndex (const XMLSize_t index)
const XMLCh * | getAttributeNamespaceAtIndex (const XMLSize_t index)
PSVIAttribute * | getAttributePSVIByName (const XMLCh *attrName, const XMLCh *attrNamespace)
PSVIAttribute * | getPSVIAttributeToFill (const XMLCh *attrName, const XMLCh *attrNS)
| methods needed by implementation
void | reset ()
| reset the list

## Constructor & Destructor Documentation

PSVIAttributeList::PSVIAttributeList | ( | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` | ) |

The default constructor.

Parameters:

  | manager | The configurable memory manager

PSVIAttributeList::~PSVIAttributeList | ( |  | ) |

## Member Function Documentation

XMLSize_t PSVIAttributeList::getLength | ( |  | ) | const

PSVIAttribute* PSVIAttributeList::getAttributePSVIAtIndex | ( | const XMLSize_t | index | ) |

const XMLCh* PSVIAttributeList::getAttributeNameAtIndex | ( | const XMLSize_t | index | ) |

const XMLCh* PSVIAttributeList::getAttributeNamespaceAtIndex | ( | const XMLSize_t | index | ) |

PSVIAttribute* PSVIAttributeList::getAttributePSVIByName | ( | const XMLCh * | attrName,
|  | const XMLCh * | attrNamespace |
| ) |  |  |

PSVIAttribute * PSVIAttributeList::getPSVIAttributeToFill | ( | const XMLCh * | attrName,
|  | const XMLCh * | attrNS |
| ) |  |  |

methods needed by implementation

returns a PSVI attribute of undetermined state and given name/namespace and makes that object part of the internal list. Intended to be called during validation of an element.

Parameters:

  | attrName | name of this attribute
  | attrNS | URI of the attribute

Returns:
  new, uninitialized, PSVIAttribute object

void PSVIAttributeList::reset | ( |  | ) |

reset the list

The documentation for this class was generated from the following file:

- PSVIAttributeList.hpp